## org.codehaus.groovy.util
Class ManagedConcurrentMap.Entry<K,V>

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference<K>
          org.codehaus.groovy.util.ManagedConcurrentMap.Entry<K,V>

All Implemented Interfaces:
  AbstractConcurrentMap.Entry<K,V>, Finalizable

Direct Known Subclasses:
  ClassInfo, ManagedConcurrentMap.EntryWithValue

Enclosing class:
  ManagedConcurrentMap<K,V>

    public static class ManagedConcurrentMap.Entry<K,V>

extends ManagedReference<K>
implements AbstractConcurrentMap.Entry<K,V>

Constructor Summary
`ManagedConcurrentMap.Entry(ReferenceBundle bundle, ManagedConcurrentMap.Segment segment, K key, int hash)`

Method Summary
`void` `finalizeRef()`
`int` `getHash()`
`V` `getValue()`
`boolean` `isEqual(K key, int hash)`
`boolean` `isValid()`
`void` `setValue(V value)`

Methods inherited from class org.codehaus.groovy.util.ManagedReference
`clear, finalizeReference, get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedConcurrentMap.Entry

    public ManagedConcurrentMap.Entry(ReferenceBundle bundle,
                                      ManagedConcurrentMap.Segment segment,
                                      K key,
                                      int hash)

Method Detail

### isValid

    public boolean isValid()

### isEqual

    public boolean isEqual(K key,
                           int hash)

  Specified by:
    `isEqual` in interface `AbstractConcurrentMap.Entry<K,V>`

### getValue

    public V getValue()

### setValue

    public void setValue(V value)

### getHash

    public int getHash()

### finalizeRef

    public void finalizeRef()

Copyright © 2003-2009 The Codehaus. All rights reserved.